Incorrectly identifying http link in a's href attributes, due to m modifier in regex
Closed, ResolvedPublic

Description

Noticed by @Bawolff on T122653

csteipp created this task.Jan 7 2016, 4:19 PM
csteipp updated the task description. (Show Details)
csteipp raised the priority of this task from to High.
csteipp changed the visibility from "Public (No Login Required)" to "Custom Policy".
csteipp changed the edit policy from "All Users" to "Custom Policy".
csteipp added subscribers: csteipp, Bawolff, Nox86.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 7 2016, 4:19 PM

Nox86 added a comment.EditedJan 7 2016, 6:24 PM

edited,
please see T122653

This is a completely different issue that what you're talking about, though.

Nox86 added a comment.Jan 8 2016, 10:22 AM

sorry, just got notiffication about commit

@Bawolff / @dpatrick, could one of you sanity check this patch, and I'll deploy it?

lgtm

err, actually - I think the unit test is wrong. Third argument should be true (true = file triggers filter)

Oops, you're right. Test fixed (and stray line remove unremoved). Thanks!

csteipp closed this task as Resolved.Mar 16 2016, 9:48 PM
csteipp claimed this task.

21:47 csteipp: deployed patch for T123071

demon changed the visibility from "Custom Policy" to "Public (No Login Required)".May 20 2016, 5:24 PM
demon changed the edit policy from "Custom Policy" to "All Users".
demon set Security to None.
Restricted Application added subscribers: Malyacko, Steinsplitter, Matanya. · View Herald TranscriptMay 20 2016, 5:24 PM